package com.rwk.system.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 人员信息对象 rwk_staff_information
 *
 * @author rick
 * @date 2024-11-25
 */
public class RwkStaffInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 民族 */
    @Excel(name = "民族")
    private String nation;

    /** 国籍 */
    @Excel(name = "国籍")
    private String nationality;

    /** 出生年月 */
    @Excel(name = "出生年月")
    private String birthday;

    /** 出生地 */
    @Excel(name = "出生地")
    private String birthplace;

    /** 籍贯 */
    @Excel(name = "籍贯")
    private String nativePlace;

    /** 是否取得境外长期居留资格 */
    @Excel(name = "是否取得境外长期居留资格")
    private String overseasResidencyStatus;

    /** 取得国家 */
    @Excel(name = "取得国家")
    private String acquiringCountry;

    /** 证件号 */
    @Excel(name = "证件号")
    private String idNumber;

    /** 参加工作时间 */
    @Excel(name = "参加工作时间")
    private String workTime;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 党派 */
    @Excel(name = "党派")
    private String party;

    /** 党派职务 */
    @Excel(name = "党派职务")
    private String partyPositions;

    /** 加入时间 */
    @Excel(name = "加入时间")
    private String joinTime;

    /** 人才类别 */
    @Excel(name = "人才类别")
    private String talentCategory;

    /** 宗教信仰 */
    @Excel(name = "宗教信仰")
    private String religion;

    /** 现任社会职务(包括各级人大、政协等职务) */
    @Excel(name = "现任社会职务(包括各级人大、政协等职务)")
    private String currentOccupation;

    /** 知联会职务 */
    @Excel(name = "知联会职务")
    private String zlhJob;

    /** 全日制教育毕业院校及专业 */
    @Excel(name = "全日制教育毕业院校及专业")
    private String qrzSchoolMajor;

    /** 全日制学历 */
    @Excel(name = "全日制学历")
    private String qrzQualification;

    /** 全日制学位 */
    @Excel(name = "全日制学位")
    private String qrzDegree;

    /** 在职教育毕业院校及专业 */
    @Excel(name = "在职教育毕业院校及专业")
    private String zzSchoolMajor;

    /** 在职教育学历 */
    @Excel(name = "在职教育学历")
    private String zzQualification;

    /** 在职教育学位 */
    @Excel(name = "在职教育学位")
    private String zzDegree;

    /** 工作单位及职务 */
    @Excel(name = "工作单位及职务")
    private String unitJob;

    /** 技术职称 */
    @Excel(name = "技术职称")
    private String technicalTitle;

    /** 专业特长 */
    @Excel(name = "专业特长")
    private String speciality;

    /** 单位属性 */
    @Excel(name = "单位属性")
    private String unitAttribute;

    /** 职务级别 */
    @Excel(name = "职务级别")
    private String jobLevel;

    /** 现任职时间 */
    @Excel(name = "任现职时间")
    private String currentTenure;

    /** 单位地址 */
    @Excel(name = "单位地址")
    private String unitAddress;

    /** 单位电话 */
    @Excel(name = "单位电话")
    private String unitPhone;

    /** 单位邮编 */
    @Excel(name = "单位邮编")
    private String unitZipCode;

    /** 家庭地址 */
    @Excel(name = "家庭地址")
    private String homeAddress;

    /** 家庭电话 */
    @Excel(name = "家庭电话")
    private String homePhone;

    /** 家庭邮编 */
    @Excel(name = "家庭邮编")
    private String homeZipCode;

    /** 电子邮箱 */
    @Excel(name = "电子邮箱")
    private String email;

    /** 手机号 */
    @Excel(name = "手机号")
    private String mobilePhone;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wxCode;

    /** 业余爱好 */
    @Excel(name = "业余爱好")
    private String hobby;

    /** 简历 */
    @Excel(name = "简历")
    private String resume;

    /** 培训情况 */
    @Excel(name = "培训情况")
    private String training;

    /** 主要成就 */
    @Excel(name = "主要成就")
    private String achievement;

    /** 家庭成员code */
    @Excel(name = "家庭成员code")
    private String familyMemberCode;

    /** 个人照片 */
    @Excel(name = "个人照片")
    private String photo;

    /** 家庭成员信息 */
    private List<RwkFamilyMember> rwkFamilyMemberList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }

    public void setNation(String nation)
    {
        this.nation = nation;
    }

    public String getNation()
    {
        return nation;
    }

    public void setNationality(String nationality)
    {
        this.nationality = nationality;
    }

    public String getNationality()
    {
        return nationality;
    }

    public void setBirthday(String birthday)
    {
        this.birthday = birthday;
    }

    public String getBirthday()
    {
        return birthday;
    }

    public void setBirthplace(String birthplace)
    {
        this.birthplace = birthplace;
    }

    public String getBirthplace()
    {
        return birthplace;
    }

    public void setNativePlace(String nativePlace)
    {
        this.nativePlace = nativePlace;
    }

    public String getNativePlace()
    {
        return nativePlace;
    }

    public void setOverseasResidencyStatus(String overseasResidencyStatus)
    {
        this.overseasResidencyStatus = overseasResidencyStatus;
    }

    public String getOverseasResidencyStatus()
    {
        return overseasResidencyStatus;
    }

    public void setAcquiringCountry(String acquiringCountry)
    {
        this.acquiringCountry = acquiringCountry;
    }

    public String getAcquiringCountry()
    {
        return acquiringCountry;
    }

    public void setIdNumber(String idNumber)
    {
        this.idNumber = idNumber;
    }

    public String getIdNumber()
    {
        return idNumber;
    }

    public void setWorkTime(String workTime)
    {
        this.workTime = workTime;
    }

    public String getWorkTime()
    {
        return workTime;
    }

    public void setIdCard(String idCard)
    {
        this.idCard = idCard;
    }

    public String getIdCard()
    {
        return idCard;
    }

    public void setParty(String party)
    {
        this.party = party;
    }

    public String getParty()
    {
        return party;
    }

    public void setPartyPositions(String partyPositions)
    {
        this.partyPositions = partyPositions;
    }

    public String getPartyPositions()
    {
        return partyPositions;
    }

    public void setJoinTime(String joinTime)
    {
        this.joinTime = joinTime;
    }

    public String getJoinTime()
    {
        return joinTime;
    }

    public void setTalentCategory(String talentCategory)
    {
        this.talentCategory = talentCategory;
    }

    public String getTalentCategory()
    {
        return talentCategory;
    }

    public void setReligion(String religion)
    {
        this.religion = religion;
    }

    public String getReligion()
    {
        return religion;
    }

    public void setCurrentOccupation(String currentOccupation)
    {
        this.currentOccupation = currentOccupation;
    }

    public String getCurrentOccupation()
    {
        return currentOccupation;
    }

    public void setZlhJob(String zlhJob)
    {
        this.zlhJob = zlhJob;
    }

    public String getZlhJob()
    {
        return zlhJob;
    }

    public void setQrzSchoolMajor(String qrzSchoolMajor)
    {
        this.qrzSchoolMajor = qrzSchoolMajor;
    }

    public String getQrzSchoolMajor()
    {
        return qrzSchoolMajor;
    }

    public void setQrzQualification(String qrzQualification)
    {
        this.qrzQualification = qrzQualification;
    }

    public String getQrzQualification()
    {
        return qrzQualification;
    }

    public void setQrzDegree(String qrzDegree)
    {
        this.qrzDegree = qrzDegree;
    }

    public String getQrzDegree()
    {
        return qrzDegree;
    }

    public void setZzSchoolMajor(String zzSchoolMajor)
    {
        this.zzSchoolMajor = zzSchoolMajor;
    }

    public String getZzSchoolMajor()
    {
        return zzSchoolMajor;
    }

    public void setZzQualification(String zzQualification)
    {
        this.zzQualification = zzQualification;
    }

    public String getZzQualification()
    {
        return zzQualification;
    }

    public void setZzDegree(String zzDegree)
    {
        this.zzDegree = zzDegree;
    }

    public String getZzDegree()
    {
        return zzDegree;
    }

    public void setUnitJob(String unitJob)
    {
        this.unitJob = unitJob;
    }

    public String getUnitJob()
    {
        return unitJob;
    }

    public void setTechnicalTitle(String technicalTitle)
    {
        this.technicalTitle = technicalTitle;
    }

    public String getTechnicalTitle()
    {
        return technicalTitle;
    }

    public void setSpeciality(String speciality)
    {
        this.speciality = speciality;
    }

    public String getSpeciality()
    {
        return speciality;
    }

    public void setUnitAttribute(String unitAttribute)
    {
        this.unitAttribute = unitAttribute;
    }

    public String getUnitAttribute()
    {
        return unitAttribute;
    }

    public void setJobLevel(String jobLevel)
    {
        this.jobLevel = jobLevel;
    }

    public String getJobLevel()
    {
        return jobLevel;
    }

    public void setCurrentTenure(String currentTenure)
    {
        this.currentTenure = currentTenure;
    }

    public String getCurrentTenure()
    {
        return currentTenure;
    }

    public void setUnitAddress(String unitAddress)
    {
        this.unitAddress = unitAddress;
    }

    public String getUnitAddress()
    {
        return unitAddress;
    }

    public void setUnitPhone(String unitPhone)
    {
        this.unitPhone = unitPhone;
    }

    public String getUnitPhone()
    {
        return unitPhone;
    }

    public void setUnitZipCode(String unitZipCode)
    {
        this.unitZipCode = unitZipCode;
    }

    public String getUnitZipCode()
    {
        return unitZipCode;
    }

    public void setHomeAddress(String homeAddress)
    {
        this.homeAddress = homeAddress;
    }

    public String getHomeAddress()
    {
        return homeAddress;
    }

    public void setHomePhone(String homePhone)
    {
        this.homePhone = homePhone;
    }

    public String getHomePhone()
    {
        return homePhone;
    }

    public void setHomeZipCode(String homeZipCode)
    {
        this.homeZipCode = homeZipCode;
    }

    public String getHomeZipCode()
    {
        return homeZipCode;
    }

    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }

    public void setMobilePhone(String mobilePhone)
    {
        this.mobilePhone = mobilePhone;
    }

    public String getMobilePhone()
    {
        return mobilePhone;
    }

    public void setWxCode(String wxCode)
    {
        this.wxCode = wxCode;
    }

    public String getWxCode()
    {
        return wxCode;
    }

    public void setHobby(String hobby)
    {
        this.hobby = hobby;
    }

    public String getHobby()
    {
        return hobby;
    }

    public void setResume(String resume)
    {
        this.resume = resume;
    }

    public String getResume()
    {
        return resume;
    }

    public void setTraining(String training)
    {
        this.training = training;
    }

    public String getTraining()
    {
        return training;
    }

    public void setAchievement(String achievement)
    {
        this.achievement = achievement;
    }

    public String getAchievement()
    {
        return achievement;
    }

    public void setFamilyMemberCode(String familyMemberCode)
    {
        this.familyMemberCode = familyMemberCode;
    }

    public String getFamilyMemberCode()
    {
        return familyMemberCode;
    }

    public void setPhoto(String photo)
    {
        this.photo = photo;
    }

    public String getPhoto()
    {
        return photo;
    }

    public List<RwkFamilyMember> getRwkFamilyMemberList()
    {
        return rwkFamilyMemberList;
    }

    public void setRwkFamilyMemberList(List<RwkFamilyMember> rwkFamilyMemberList)
    {
        this.rwkFamilyMemberList = rwkFamilyMemberList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("sex", getSex())
                .append("nation", getNation())
                .append("nationality", getNationality())
                .append("birthday", getBirthday())
                .append("birthplace", getBirthplace())
                .append("nativePlace", getNativePlace())
                .append("overseasResidencyStatus", getOverseasResidencyStatus())
                .append("acquiringCountry", getAcquiringCountry())
                .append("idNumber", getIdNumber())
                .append("workTime", getWorkTime())
                .append("idCard", getIdCard())
                .append("party", getParty())
                .append("partyPositions", getPartyPositions())
                .append("joinTime", getJoinTime())
                .append("talentCategory", getTalentCategory())
                .append("religion", getReligion())
                .append("currentOccupation", getCurrentOccupation())
                .append("zlhJob", getZlhJob())
                .append("qrzSchoolMajor", getQrzSchoolMajor())
                .append("qrzQualification", getQrzQualification())
                .append("qrzDegree", getQrzDegree())
                .append("zzSchoolMajor", getZzSchoolMajor())
                .append("zzQualification", getZzQualification())
                .append("zzDegree", getZzDegree())
                .append("unitJob", getUnitJob())
                .append("technicalTitle", getTechnicalTitle())
                .append("speciality", getSpeciality())
                .append("unitAttribute", getUnitAttribute())
                .append("jobLevel", getJobLevel())
                .append("currentTenure", getCurrentTenure())
                .append("unitAddress", getUnitAddress())
                .append("unitPhone", getUnitPhone())
                .append("unitZipCode", getUnitZipCode())
                .append("homeAddress", getHomeAddress())
                .append("homePhone", getHomePhone())
                .append("homeZipCode", getHomeZipCode())
                .append("email", getEmail())
                .append("mobilePhone", getMobilePhone())
                .append("wxCode", getWxCode())
                .append("hobby", getHobby())
                .append("resume", getResume())
                .append("training", getTraining())
                .append("achievement", getAchievement())
                .append("familyMemberCode", getFamilyMemberCode())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("rwkFamilyMemberList", getRwkFamilyMemberList())
                .append("photo", getPhoto())
                .toString();
    }
}